//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LabKPZDB_EF
{
    using System;
    using System.Collections.Generic;
    
    public partial class Manager
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Manager()
        {
            this.InvitedUsers = new HashSet<InvitedUser>();
            this.Users = new HashSet<User>();
        }
    
        public int mid { get; set; }
        public string mname { get; set; }
        public string msurname { get; set; }
        public string email { get; set; }
        public string city { get; set; }
        public string street { get; set; }
        public string buildingNumber { get; set; }
        public string flatNumber { get; set; }
        public System.DateTime contractSigned { get; set; }
        public Nullable<System.DateTime> contractTerm { get; set; }
        public bool contractIsValid { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<InvitedUser> InvitedUsers { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<User> Users { get; set; }
    }
}
